Bug 843570 (CVE-2012-3432)

Summary: CVE-2012-3432 kernel: xen: HVM guest user mode MMIO emulation DoS
Product: [Other] Security Response Reporter: Petr Matousek <pmatouse>
Component: vulnerabilityAssignee: Red Hat Product Security <security-response-team>
Status: CLOSED NOTABUG QA Contact:
Severity: medium Docs Contact:
Priority: medium    
Version: unspecifiedCC: agordeev, anton, bhu, davej, dhoward, drjones, fhrbata, gansalmon, imammedo, itamar, jforbes, jkacur, jonathan, jwboyer, kernel-maint, kernel-mgr, lersek, lgoncalv, lwang, madhu.chinakonda, pbonzini, plougher, rt-maint, sforsber, tburke, williams, xen-maint
Target Milestone: ---Keywords: Security
Target Release: ---   
Hardware: All   
OS: Linux   
Whiteboard: impact=moderate,public=20120726,reported=20120726,source=upstream,cvss2=4.4/AV:L/AC:M/Au:S/C:N/I:N/A:C,rhel-5/kernel=notaffected,rhel-6/kernel=notaffected,mrg-2/realtime-kernel=notaffected,fedora-all/xen=affected,rhel-5/kernel-xen=notaffected
Fixed In Version: Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of: Environment:
Last Closed: 2012-07-27 04:29:04 EDT Type: ---
Regression: --- Mount Type: ---
Documentation: --- CRM:
Verified Versions: Category: ---
oVirt Team: --- RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---
Bug Depends On: 843574, 843575, 843766    
Bug Blocks: 843578    
Attachments:
Description Flags
Xen Security Advisory #10 none

Description Petr Matousek 2012-07-26 12:16:52 EDT
Description of the problem:

Internal data of the emulator for MMIO operations may, under
certain rare conditions, at the end of one emulation cycle be left
in a state affecting a subsequent emulation such that this second
emulation would fail, causing an exception to be reported to the
guest kernel where none is expected.

Guest mode unprivileged (user) code, which has been granted
the privilege to access MMIO regions, may leverage that access
to crash the whole guest.

Only HVM guests exposing MMIO ranges to unprivileged (user) mode
are vulnerable to this issue. PV guests are not.

References:
http://seclists.org/oss-sec/2012/q3/119

Acknowledgements:

Red Hat would like to thank the Xen for reporting this issue.
Comment 1 Petr Matousek 2012-07-26 12:23:14 EDT
Statement:

Not vulnerable.

The versions of the Linux kernel as shipped with Red Hat Enterprise Linux 5, 6,
and Red Hat Enterprise MRG are not affected. 

The versions of the kernel-xen packages as shipped with Red Hat Enterprise Linux 5 are not affected as they implement a different MMIO emulation mechanism.
Comment 3 Petr Matousek 2012-07-26 12:35:02 EDT
Created attachment 600554 [details]
Xen Security Advisory #10
Comment 4 Paolo Bonzini 2012-07-27 04:29:04 EDT
RHEL is not affected, MMIO is handled in a simpler way.
Comment 5 Petr Matousek 2012-07-27 06:03:06 EDT
Created xen tracking bugs for this issue

Affects: fedora-all [bug 843766]
Comment 6 Fedora Update System 2012-08-05 17:26:19 EDT
xen-4.1.2-24.fc17 has been pushed to the Fedora 17 stable repository.  If problems still persist, please make note of it in this bug report.
Comment 7 Fedora Update System 2012-08-05 17:31:28 EDT
xen-4.1.2-9.fc16 has been pushed to the Fedora 16 stable repository.  If problems still persist, please make note of it in this bug report.